<?xml version="1.0" encoding="utf-8"?>
<RelativeLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    android:layout_width="match_parent"
    android:layout_height="match_parent"
    android:background="@color/colorWhite">


    <ImageView
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:layout_alignParentBottom="true"
        android:adjustViewBounds="true"
        android:src="@drawable/ic_login_bottom" />

    <LinearLayout
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:layout_centerVertical="true"
        android:orientation="vertical">

        <RelativeLayout
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_marginLeft="16dp"
            android:layout_marginBottom="24dp">

            <View
                android:layout_width="match_parent"
                android:layout_height="8dp"
                android:layout_alignRight="@id/tv_title"
                android:layout_alignBottom="@id/tv_title"
                android:background="@color/colorThemeL" />

            <TextView
                android:id="@+id/tv_title"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:text="用户登录"
                android:textColor="@color/colorText33"
                android:textSize="?attr/textSizeXXXXXX" />


        </RelativeLayout>


        <com.google.android.material.textfield.TextInputLayout
            android:id="@+id/layout_name"
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:layout_marginLeft="16dp"
            android:layout_marginRight="16dp"
            app:counterEnabled="true"
            app:counterMaxLength="16"
            app:errorEnabled="true"
            app:hintTextAppearance="@style/inputLayoutTheme">

            <com.google.android.material.textfield.TextInputEditText
                android:id="@+id/et_name"
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:hint="账号"
                android:inputType="text"
                android:maxLength="32"
                android:textColor="@color/colorText55"
                android:textSize="?attr/textSizeXXX" />
        </com.google.android.material.textfield.TextInputLayout>


        <com.google.android.material.textfield.TextInputLayout
            android:id="@+id/layout_password"
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:layout_marginLeft="16dp"
            android:layout_marginRight="16dp"
            app:counterEnabled="true"
            app:counterMaxLength="16"
            app:errorEnabled="true"
            app:hintTextAppearance="@style/inputLayoutTheme"
            app:passwordToggleEnabled="true">

            <com.google.android.material.textfield.TextInputEditText
                android:id="@+id/et_password"
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:hint="密码"
                android:inputType="textPassword"
                android:maxLength="16"
                android:imeOptions="actionGo"
                android:textColor="@color/colorText55"
                android:textSize="?attr/textSizeXXX" />
        </com.google.android.material.textfield.TextInputLayout>


        <Button
            android:id="@+id/btn_login"
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:layout_gravity="center_horizontal"
            android:layout_marginLeft="48dp"
            android:layout_marginTop="16dp"
            android:layout_marginRight="48dp"
            android:layout_marginBottom="40dp"
            android:background="@drawable/accent_radius_bg"
            android:text="登录"
            android:textColor="@color/colorWhite"
            android:textSize="?attr/textSizeXXXX"
            android:textStyle="bold" />
    </LinearLayout>


</RelativeLayout>